summaryrefslogtreecommitdiffstats
path: root/kadmind.init
diff options
context:
space:
mode:
authorcvsdist <cvsdist@fedoraproject.org>2004-09-09 07:06:49 +0000
committercvsdist <cvsdist@fedoraproject.org>2004-09-09 07:06:49 +0000
commit21f3145cb4915eef30337757ad0d8ae6a8f11ced (patch)
treee526cbff4c35da3ffd9461b3a67208472923a0d7 /kadmind.init
parent7287770309f8cfb9035d8c4703cb997eea64bea5 (diff)
downloadkrb5-21f3145cb4915eef30337757ad0d8ae6a8f11ced.tar.gz
krb5-21f3145cb4915eef30337757ad0d8ae6a8f11ced.tar.xz
krb5-21f3145cb4915eef30337757ad0d8ae6a8f11ced.zip
auto-import changelog data from krb5-1.2.2-11.src.rpmkrb5-1_2_2-11
Fri Jul 20 2001 Nalin Dahyabhai <nalin@redhat.com> - tweak statglue.c to fix stat/stat64 aliasing problems - be cleaner in use of gcc to build shlibs Wed Jul 11 2001 Nalin Dahyabhai <nalin@redhat.com> - use gcc to build shared libraries Wed Jun 27 2001 Nalin Dahyabhai <nalin@redhat.com> - add patch to support "ANY" keytab type (i.e., "default_keytab_name = ANY:FILE:/etc/krb5.keytab,SRVTAB:/etc/srvtab" patch from Gerald Britton, #42551) - build with -D_FILE_OFFSET_BITS=64 to get large file I/O in ftpd (#30697) - patch ftpd to use long long and %lld format specifiers to support the SIZE command on large files (also #30697) - don't use LOG_AUTH as an option value when calling openlog() in ksu (#45965) - implement reload in krb5kdc and kadmind init scripts (#41911) - lose the krb5server init script (not using it any more) Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com> - Bump release + rebuild.
Diffstat (limited to 'kadmind.init')
-rwxr-xr-xkadmind.init26
1 files changed, 19 insertions, 7 deletions
diff --git a/kadmind.init b/kadmind.init
index 8734c24..af2b6f2 100755
--- a/kadmind.init
+++ b/kadmind.init
@@ -18,10 +18,12 @@
# Source function library.
. /etc/init.d/functions
+prog="Kerberos 5 Admin Server"
+kadmind=/usr/kerberos/sbin/kadmind
RETVAL=0
-# Sheel functions to cut down on useless shell instances.
+# Shell functions to cut down on useless shell instances.
start() {
if [ ! -f /var/kerberos/krb5kdc/principal ] ; then
exit 0
@@ -35,19 +37,25 @@ start() {
echo
fi
fi
- echo -n $"Starting Kerberos 5 Admin Server: "
- daemon /usr/kerberos/sbin/kadmind
+ echo -n $"Starting $prog: "
+ daemon ${kadmind}
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch /var/lock/subsys/kadmin
}
stop() {
- echo -n $"Stopping Kerberos 5 Admin Server: "
- killproc kadmind
+ echo -n $"Stopping $prog: "
+ killproc ${kadmind}
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f /var/lock/subsys/kadmin
}
+reload() {
+ echo -n $"Reopening $prog log file: "
+ killproc ${kadmind} -HUP
+ RETVAL=$?
+ echo
+}
# See how we were called.
case "$1" in
@@ -62,7 +70,11 @@ case "$1" in
start
;;
status)
- status kadmind
+ status ${kadmind}
+ RETVAL=$?
+ ;;
+ reload)
+ reload
;;
condrestart)
if [ -f /var/lock/subsys/kadmin ] ; then
@@ -71,7 +83,7 @@ case "$1" in
fi
;;
*)
- echo $"Usage: $0 {start|stop|status|condrestart|restart}"
+ echo $"Usage: $0 {start|stop|status|condrestart|reload|restart}"
RETVAL=1
;;
esac